taquin : main.o taquin.o menu.o graph_sup.o
	gcc -Wall -ansi -o taquin.out main.o menu.o taquin.o graph_sup.o -lgraph -lm

main.o : main.c main.h
	gcc -c main.c

taquin.o : taquin.c taquin.h
	gcc -c taquin.c

menu.o : menu.c menu.h
	gcc -c menu.c

graph_sup.o : graph_sup.c graph_sup.h
	gcc -c graph_sup.c

clean :
	rm -f *.o

run :
	./taquin.out